#ifndef __S2_YAMAHA_LS9_BASIC_H__
#define __S2_YAMAHA_LS9_BASIC_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_Yamaha_LS9_basic_POLL_MASTER_METERS_DIG_INPUT 0
#define __S2_Yamaha_LS9_basic_POLL_INPUT_METERS_DIG_INPUT 1
#define __S2_Yamaha_LS9_basic_MASTER_ENABLE_DIG_INPUT 2

#define __S2_Yamaha_LS9_basic_IN_STEREO_ENABLE_DIG_INPUT 3
#define __S2_Yamaha_LS9_basic_IN_STEREO_ENABLE_ARRAY_LENGTH 4
#define __S2_Yamaha_LS9_basic_IN_ENABLE_DIG_INPUT 7
#define __S2_Yamaha_LS9_basic_IN_ENABLE_ARRAY_LENGTH 32

/*
* ANALOG_INPUT
*/
#define __S2_Yamaha_LS9_basic_MIDI_CHANNEL_ANALOG_INPUT 1
#define __S2_Yamaha_LS9_basic_MASTER_FADER_ANALOG_INPUT 2


#define __S2_Yamaha_LS9_basic_RX$_BUFFER_INPUT 0
#define __S2_Yamaha_LS9_basic_RX$_BUFFER_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_LS9_basic, __RX$, __S2_Yamaha_LS9_basic_RX$_BUFFER_MAX_LEN );

#define __S2_Yamaha_LS9_basic_IN_STEREO_FADER_ANALOG_INPUT 3
#define __S2_Yamaha_LS9_basic_IN_STEREO_FADER_ARRAY_LENGTH 4
#define __S2_Yamaha_LS9_basic_IN_FADER_ANALOG_INPUT 7
#define __S2_Yamaha_LS9_basic_IN_FADER_ARRAY_LENGTH 32

/*
* DIGITAL_OUTPUT
*/
#define __S2_Yamaha_LS9_basic_POLL_MASTER_METERS_DONE_DIG_OUTPUT 0
#define __S2_Yamaha_LS9_basic_POLL_INPUT_METERS_DONE_DIG_OUTPUT 1
#define __S2_Yamaha_LS9_basic_MASTER_ENABLE_FB_DIG_OUTPUT 2

#define __S2_Yamaha_LS9_basic_IN_STEREO_ENABLE_FB_DIG_OUTPUT 3
#define __S2_Yamaha_LS9_basic_IN_STEREO_ENABLE_FB_ARRAY_LENGTH 4
#define __S2_Yamaha_LS9_basic_IN_ENABLE_FB_DIG_OUTPUT 7
#define __S2_Yamaha_LS9_basic_IN_ENABLE_FB_ARRAY_LENGTH 32

/*
* ANALOG_OUTPUT
*/
#define __S2_Yamaha_LS9_basic_MASTER_FADER_FB_ANALOG_OUTPUT 1

#define __S2_Yamaha_LS9_basic_TX$_STRING_OUTPUT 0

#define __S2_Yamaha_LS9_basic_IN_STEREO_FADER_FB_ANALOG_OUTPUT 2
#define __S2_Yamaha_LS9_basic_IN_STEREO_FADER_FB_ARRAY_LENGTH 4
#define __S2_Yamaha_LS9_basic_IN_FADER_FB_ANALOG_OUTPUT 6
#define __S2_Yamaha_LS9_basic_IN_FADER_FB_ARRAY_LENGTH 32
#define __S2_Yamaha_LS9_basic_MASTER_METER_FB_ANALOG_OUTPUT 38
#define __S2_Yamaha_LS9_basic_MASTER_METER_FB_ARRAY_LENGTH 2
#define __S2_Yamaha_LS9_basic_IN_STEREO_METER_FB_ANALOG_OUTPUT 40
#define __S2_Yamaha_LS9_basic_IN_STEREO_METER_FB_ARRAY_LENGTH 8
#define __S2_Yamaha_LS9_basic_IN_METER_FB_ANALOG_OUTPUT 48
#define __S2_Yamaha_LS9_basic_IN_METER_FB_ARRAY_LENGTH 32

/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Yamaha_LS9_basic_HEADER$_STRING_MAX_LEN 4
CREATE_STRING_STRUCT( S2_Yamaha_LS9_basic, __HEADER$, __S2_Yamaha_LS9_basic_HEADER$_STRING_MAX_LEN );
#define __S2_Yamaha_LS9_basic_MESSAGE$_STRING_MAX_LEN 200
CREATE_STRING_STRUCT( S2_Yamaha_LS9_basic, __MESSAGE$, __S2_Yamaha_LS9_basic_MESSAGE$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Yamaha_LS9_basic )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   DECLARE_IO_ARRAY( __IN_STEREO_ENABLE );
   DECLARE_IO_ARRAY( __IN_ENABLE );
   DECLARE_IO_ARRAY( __IN_STEREO_ENABLE_FB );
   DECLARE_IO_ARRAY( __IN_ENABLE_FB );
   DECLARE_IO_ARRAY( __IN_STEREO_FADER );
   DECLARE_IO_ARRAY( __IN_FADER );
   DECLARE_IO_ARRAY( __IN_STEREO_FADER_FB );
   DECLARE_IO_ARRAY( __IN_FADER_FB );
   DECLARE_IO_ARRAY( __MASTER_METER_FB );
   DECLARE_IO_ARRAY( __IN_STEREO_METER_FB );
   DECLARE_IO_ARRAY( __IN_METER_FB );
   DECLARE_STRING_STRUCT( S2_Yamaha_LS9_basic, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_Yamaha_LS9_basic )
{
   DECLARE_STRING_STRUCT( S2_Yamaha_LS9_basic, __HEADER$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_LS9_basic, __MESSAGE$ );
   unsigned short __BUSY;
};



#endif //__S2_YAMAHA_LS9_BASIC_H__

